wxOverlay(3)

NAME
wxOverlay - Creates an overlay over an existing window, allowing for manipulations like rubberbanding, etc.

DESCRIPTION

On wxOSX the overlay is implemented with native platform APIs, on the other platforms it is simulated using wxMemoryDC.

See:

    • wxDCOverlay

    • wxDC

wxWidgets docs: wxOverlay

DATA TYPES

wxOverlay() :: wx:wx_object().

FUNCTIONS

destroy(This :: wxOverlay()) -> ok.

    Destroys the object
new() -> wxOverlay().
reset(This) -> ok when This :: wxOverlay().

    Clears the overlay without restoring the former state.

    To be done, for example, when the window content has been changed and repainted.